com.mxgraph.view

## Class mxStyleRegistry

- java.lang.Object
- - com.mxgraph.view.mxStyleRegistry

-     public class mxStyleRegistry
      extends java.lang.Object

  Singleton class that acts as a global converter from string to object values in a style. This is currently only used to perimeters and edge styles.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map<java.lang.String,java.lang.Object>` | `values` Maps from strings to objects.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxStyleRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getName(java.lang.Object value)` Returns the name for the given value.
    `static java.lang.Object` | `getValue(java.lang.String name)` Returns the value associated with the given name.
    `static void` | `putValue(java.lang.String name, java.lang.Object value)` Puts the given object into the registry under the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### values

          protected static java.util.Map<java.lang.String,java.lang.Object> values

      Maps from strings to objects.

  - ### Constructor Detail

    - #### mxStyleRegistry

          public mxStyleRegistry()

  - ### Method Detail

    - #### putValue

          public static void putValue(java.lang.String name,
                      java.lang.Object value)

      Puts the given object into the registry under the given name.

    - #### getValue

          public static java.lang.Object getValue(java.lang.String name)

      Returns the value associated with the given name.

    - #### getName

          public static java.lang.String getName(java.lang.Object value)

      Returns the name for the given value.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.